This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 530684 - Review Request: nordugrid-arc - Advanced Resource Connector Grid Middleware
Review Request: nordugrid-arc - Advanced Resource Connector Grid Middleware
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 599414
  Show dependency treegraph
 
Reported: 2009-10-24 01:51 EDT by Mattias Ellert
Modified: 2014-12-22 07:44 EST (History)
5 users (show)

See Also:
Fixed In Version: nordugrid-arc-doc-1.0.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-05 19:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-10-24 01:51:06 EDT
Spec URL: http://www.grid.tsl.uu.se/review/nordugrid-arc1.spec
SRPM URL: http://www.grid.tsl.uu.se/review/nordugrid-arc1-0.9.4-0.rc3.fc11.src.rpm

Description:
NorduGrid is a collaboration aiming at development, maintenance and
support of the free Grid middleware, known as the Advanced Resource
Connector (ARC).

The Advanced Resource Connector (ARC) brings computing resources
together across institutional boundaries. This concept is commonly
referred to as a "computational grid". Historically, grids address the
organisation of distributed storage of data and parallel computation,
but arbitrary services are thinkable.
Comment 2 Steve Traylen 2010-05-28 17:58:07 EDT
checking for pdflatex... no
checking for doxygen... no
checking for dot... no
configure: WARNING: Missing pdflatex - documentation won't be built
configure: Documentation enabled: no

is there any documentation? but more importantly in a mock F13 build:

...
Credential.cpp: In member function 'void Arc::Credential::loadCertificate(BIO*, X509*&, stack_st_X509**, bool)':
Credential.cpp:464: error: cannot convert 'stack_st_X509*' to 'const _STACK*' for argument '1' to 'int sk_num(const _STACK*)'
Credential.cpp: In member function 'bool Arc::Credential::GenerateRequest(BIO*, bool)':
Credential.cpp:1279: error: invalid conversion from 'const X509V3_EXT_METHOD*' to 'X509V3_EXT_METHOD*'
Credential.cpp: In member function 'bool Arc::Credential::SetProxyPeriod(X509*, X509*, Arc::Time&, Arc::Period&)':
Credential.cpp:1669: warning: unused variable 'notBefore'
Credential.cpp:1670: warning: unused variable 'notAfter'
Credential.cpp: In member function 'bool 
rror: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/nordugrid-arc-
....
Comment 3 Jason Tibbitts 2010-11-02 10:21:39 EDT
Please clear the whiteboard if this package is updated to build properly.
Comment 5 Jon Ciesla 2011-06-23 10:04:28 EDT
Starting review. . .
Comment 6 Jon Ciesla 2011-06-23 12:20:43 EDT
Good $_DEITY this takes a long time to build. :)
Comment 7 Jon Ciesla 2011-06-23 13:01:08 EDT
Or, as it happens, not build.


Making all in python
make[2]: Entering directory `/home/limb/rpmbuild/BUILD/nordugrid-arc-1.0.0/python'
 cd .. && /bin/sh ./config.status python/Makefile depfiles
config.status: creating python/Makefile
config.status: executing depfiles commands
make[2]: Leaving directory `/home/limb/rpmbuild/BUILD/nordugrid-arc-1.0.0/python'
make[2]: Entering directory `/home/limb/rpmbuild/BUILD/nordugrid-arc-1.0.0/python'
make[2]: Warning: File `Makefile' has modification time 249 s in the future
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I..    -I../include -I/usr/include/python2.7 -I/usr/include/libxml2   -pthread -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include   -fno-strict-aliasing -DSWIG_COBJECT_TYPES -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c -o _arc_la-arc_init.lo `test -f 'arc_init.cpp' || echo './'`arc_init.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I../include -I/usr/include/python2.7 -I/usr/include/libxml2 -pthread -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -fno-strict-aliasing -DSWIG_COBJECT_TYPES -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c arc_init.cpp  -fPIC -DPIC -o .libs/_arc_la-arc_init.o
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I..    -I../include -I/usr/include/python2.7 -I/usr/include/libxml2   -pthread -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include   -fno-strict-aliasing -DSWIG_COBJECT_TYPES -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c -o _arc_la-arc_wrap.lo `test -f 'arc_wrap.cpp' || echo './'`arc_wrap.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I../include -I/usr/include/python2.7 -I/usr/include/libxml2 -pthread -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -fno-strict-aliasing -DSWIG_COBJECT_TYPES -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c arc_wrap.cpp  -fPIC -DPIC -o .libs/_arc_la-arc_wrap.o
arc_wrap.cpp:3132:13: error: 'ptrdiff_t' does not name a type
arc_wrap.cpp:3169:21: error: expected ';' at end of member declaration
arc_wrap.cpp:3169:39: error: expected ')' before 'n'
arc_wrap.cpp:3184:34: error: declaration of 'operator+=' as non-function
arc_wrap.cpp:3184:30: error: expected ';' at end of member declaration
arc_wrap.cpp:3184:44: error: expected ')' before 'n'
arc_wrap.cpp:3189:34: error: declaration of 'operator-=' as non-function
arc_wrap.cpp:3189:30: error: expected ';' at end of member declaration
arc_wrap.cpp:3189:44: error: expected ')' before 'n'
arc_wrap.cpp:3194:33: error: declaration of 'operator+' as non-function
arc_wrap.cpp:3194:30: error: expected ';' at end of member declaration
arc_wrap.cpp:3194:43: error: expected ')' before 'n'
arc_wrap.cpp:3199:33: error: declaration of 'operator-' as non-function
arc_wrap.cpp:3199:30: error: expected ';' at end of member declaration
arc_wrap.cpp:3199:43: error: expected ')' before 'n'
arc_wrap.cpp:3204:5: error: 'ptrdiff_t' does not name a type
arc_wrap.cpp:3360:22: error: 'SWIG_From_ptrdiff_t' declared as an 'inline' variable
arc_wrap.cpp:3360:22: error: 'ptrdiff_t' was not declared in this scope
arc_wrap.cpp:3360:22: note: suggested alternatives:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/x86_64-redhat-linux/bits/c++config.h:1737:20: note:   'std::ptrdiff_t'
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/x86_64-redhat-linux/bits/c++config.h:1737:20: note:   'std::ptrdiff_t'
arc_wrap.cpp:3361:1: error: expected ',' or ';' before '{' token
arc_wrap.cpp:3413:39: error: 'ptrdiff_t' has not been declared
arc_wrap.cpp: In function 'int SWIG_AsVal_ptrdiff_t(PyObject*, int*)':
arc_wrap.cpp:3417:46: error: expected type-specifier before 'ptrdiff_t'
arc_wrap.cpp:3417:46: error: expected '>' before 'ptrdiff_t'
arc_wrap.cpp:3417:46: error: expected '(' before 'ptrdiff_t'
arc_wrap.cpp:3417:46: error: 'ptrdiff_t' was not declared in this scope
arc_wrap.cpp:3417:46: note: suggested alternatives:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/x86_64-redhat-linux/bits/c++config.h:1737:20: note:   'std::ptrdiff_t'
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/x86_64-redhat-linux/bits/c++config.h:1737:20: note:   'std::ptrdiff_t'
arc_wrap.cpp:3417:60: error: expected ')' before ';' token
arc_wrap.cpp: At global scope:
arc_wrap.cpp:4096:15: error: 'swig::check_index' declared as an 'inline' variable
arc_wrap.cpp:4096:15: error: 'ptrdiff_t' was not declared in this scope
arc_wrap.cpp:4096:15: note: suggested alternatives:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/x86_64-redhat-linux/bits/c++config.h:1737:20: note:   'std::ptrdiff_t'
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/x86_64-redhat-linux/bits/c++config.h:1737:20: note:   'std::ptrdiff_t'
arc_wrap.cpp:4096:35: error: expected primary-expression before 'size'
arc_wrap.cpp:4096:41: error: expected primary-expression before 'bool'
arc_wrap.cpp:4096:60: error: expression list treated as compound expression in initializer [-fpermissive]
arc_wrap.cpp:4096:62: error: expected ',' or ';' before '{' token
In file included from /usr/include/glibmm-2.4/glibmm/value_custom.h:32:0,
                 from /usr/include/glibmm-2.4/glibmm/value.h:196,
                 from /usr/include/glibmm-2.4/glibmm/propertyproxy_base.h:25,
                 from /usr/include/glibmm-2.4/glibmm/propertyproxy.h:25,
                 from /usr/include/glibmm-2.4/glibmm/objectbase.h:24,
                 from /usr/include/glibmm-2.4/glibmm/wrap.h:26,
                 from /usr/include/glibmm-2.4/glibmm/containerhandle_shared.h:25,
                 from /usr/include/glibmm-2.4/glibmm/arrayhandle.h:23,
                 from /usr/include/glibmm-2.4/glibmm.h:84,
                 from ../include/arc/../../src/hed/libs/common/IString.h:11,
                 from ../include/arc/IString.h:1,
                 from arc_wrap.cpp:5079:
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/typeinfo:42:37: error: expected '}' before end of line
/usr/lib/gcc/x86_64-redhat-linux/4.6.0/../../../../include/c++/4.6.0/typeinfo:42:37: error: expected declaration before end of line
make[2]: *** [_arc_la-arc_wrap.lo] Error 1
make[2]: Leaving directory `/home/limb/rpmbuild/BUILD/nordugrid-arc-1.0.0/python'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/limb/rpmbuild/BUILD/nordugrid-arc-1.0.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.olnba8 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.olnba8 (%build)
Comment 8 Mattias Ellert 2011-06-26 09:07:31 EDT
(In reply to comment #7)
> Or, as it happens, not build.

Yes, sorry about that. It was one of those missing #include <stddef.h> for the new gcc in F15. Updated spec and package:

http://www.grid.tsl.uu.se/review/nordugrid-arc.spec
http://www.grid.tsl.uu.se/review/nordugrid-arc-1.0.0-2.fc15.src.rpm
Comment 9 Jon Ciesla 2011-06-27 13:35:29 EDT
Ok, it builds now. :)

rpmlint:

nordugrid-arc.src: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
The value of this tag appears to be misspelled. Please double-check.

nordugrid-arc.src: W: spelling-error %description -l en_US organisation -> organization, organist, sanitation
The value of this tag appears to be misspelled. Please double-check.

nordugrid-arc.src: W: spelling-error %description -l en_US analyse -> analyses, analyst, analyze
The value of this tag appears to be misspelled. Please double-check.


Fix 2 and 3, skip 1.

nordugrid-arc-aris.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

nordugrid-arc-aris.noarch: E: subsys-not-used /etc/rc.d/init.d/grid-infosys
While your daemon is running, you have to put a lock file in
/var/lock/subsys/. To see an example, look at this directory on your machine
and examine the corresponding init scripts.

nordugrid-arc-aris.noarch: W: incoherent-init-script-name grid-infosys ('nordugrid-arc-aris', 'nordugrid-arc-arisd')
The init script name should be the same as the package name in lower case, or
one with 'd' appended if it invokes a process by that name.

nordugrid-arc-ca-utils.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

nordugrid-arc-gridmap-utils.noarch: W: no-manual-page-for-binary nordugridmap
Each executable in standard binary directories should have a man page.

nordugrid-arc-ldap-monitor.noarch: E: zero-length /usr/share/arc/ldap-monitor/cache/placeholder

nordugrid-arc-ws-monitor.noarch: E: zero-length /usr/share/arc/ws-monitor/cache/placeholder

nordugrid-arc.x86_64: W: obsolete-not-provided nordugrid-arc-httpsd
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

nordugrid-arc.x86_64: W: obsolete-not-provided nordugrid-arc-logger-server
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

nordugrid-arc.x86_64: W: obsolete-not-provided nordugrid-arc-nox-charon
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

nordugrid-arc.x86_64: W: obsolete-not-provided nordugrid-arc-nox-compiler
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

nordugrid-arc.x86_64: W: obsolete-not-provided nordugrid-arc-nox-delegation
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

nordugrid-arc.x86_64: W: obsolete-not-provided nordugrid-arc-nox-paul
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

nordugrid-arc.x86_64: W: obsolete-not-provided nordugrid-arc-nox-saml2sp
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

nordugrid-arc.x86_64: W: obsolete-not-provided nordugrid-arc-nox-slcs
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

nordugrid-arc.x86_64: W: shared-lib-calls-exit /usr/lib64/libarccrypto.so.1.0.0 _exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the 
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the  
situation.

nordugrid-arc.x86_64: W: shared-lib-calls-exit /usr/lib64/libarccommon.so.1.0.0 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the 
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the  
situation.

nordugrid-arc.x86_64: E: zero-length /usr/lib64/arc/libmodcredential.apd

nordugrid-arc.x86_64: E: zero-length /usr/lib64/arc/libmodcrypto.apd

nordugrid-arc-arex.x86_64: W: incoherent-subsys /etc/rc.d/init.d/a-rex $prog-arex
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in 
these cases a warning instead of an error is reported and you should check the
script manually.

nordugrid-arc-arex.x86_64: W: incoherent-init-script-name a-rex ('nordugrid-arc-arex', 'nordugrid-arc-arexd')
The init script name should be the same as the package name in lower case, or
one with 'd' appended if it invokes a process by that name.

nordugrid-arc-cache-service.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

nordugrid-arc-cache-service.x86_64: W: incoherent-subsys /etc/rc.d/init.d/cache-service $prog-cache-service
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in  
these cases a warning instead of an error is reported and you should check the
script manually.

nordugrid-arc-cache-service.x86_64: W: incoherent-init-script-name cache-service ('nordugrid-arc-cache-service', 'nordugrid-arc-cache-serviced')
The init script name should be the same as the package name in lower case, or
one with 'd' appended if it invokes a process by that name.

nordugrid-arc-chelonia.x86_64: W: no-manual-page-for-binary arcfs
Each executable in standard binary directories should have a man page.

nordugrid-arc-egiis.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

nordugrid-arc-egiis.x86_64: E: zero-length /usr/lib64/arc/arc-infoindex-slapd-wrapper.apd

nordugrid-arc-egiis.x86_64: W: no-manual-page-for-binary arc-infoindex-server
Each executable in standard binary directories should have a man page.

nordugrid-arc-egiis.x86_64: W: no-manual-page-for-binary arc-infoindex-relay
Each executable in standard binary directories should have a man page.

nordugrid-arc-gridftpd.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

nordugrid-arc-gridftpd.x86_64: E: zero-length /usr/lib64/arc/fileplugin.apd

nordugrid-arc-gridftpd.x86_64: E: zero-length /usr/lib64/arc/gaclplugin.apd

nordugrid-arc-gridftpd.x86_64: E: zero-length /usr/lib64/arc/jobplugin.apd 

nordugrid-arc-gridftpd.x86_64: W: no-manual-page-for-binary gridftpd
Each executable in standard binary directories should have a man page.

nordugrid-arc-gridftpd.x86_64: W: incoherent-init-script-name gridftpd ('nordugrid-arc-gridftpd', 'nordugrid-arc-gridftpdd')
The init script name should be the same as the package name in lower case, or
one with 'd' appended if it invokes a process by that name.

nordugrid-arc-hed.x86_64: W: incoherent-init-script-name arched ('nordugrid-arc-hed', 'nordugrid-arc-hedd')
The init script name should be the same as the package name in lower case, or
one with 'd' appended if it invokes a process by that name.

nordugrid-arc-isis.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

nordugrid-arc-java.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

nordugrid-arc-plugins-globus.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

nordugrid-arc-plugins-needed.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.



I've stripped out the redundant spelling errors.


So it looks like most of the problems here relate to doc/man pages and init script names.  One suggestion, since as of F-15 we've switched to systemd by default, might you not want to create unit files and not provide the sysv init scripts?
Comment 10 Mattias Ellert 2011-07-11 10:12:44 EDT
(In reply to comment #9)

New version:

http://www.grid.tsl.uu.se/review/nordugrid-arc.spec
http://www.grid.tsl.uu.se/review/nordugrid-arc-1.0.0-3.fc15.src.rpm

> rpmlint:
> 
> nordugrid-arc.src: W: spelling-error %description -l en_US middleware -> middle
> ware, middle-ware, middleweight
> The value of this tag appears to be misspelled. Please double-check.
> 
> nordugrid-arc.src: W: spelling-error %description -l en_US organisation ->
> organization, organist, sanitation
> The value of this tag appears to be misspelled. Please double-check.
> 
> nordugrid-arc.src: W: spelling-error %description -l en_US analyse -> analyses,
> analyst, analyze
> The value of this tag appears to be misspelled. Please double-check.
> 
> Fix 2 and 3, skip 1.

Done.

> nordugrid-arc-aris.noarch: E: subsys-not-used /etc/rc.d/init.d/grid-infosys
> While your daemon is running, you have to put a lock file in
> /var/lock/subsys/. To see an example, look at this directory on your machine
> and examine the corresponding init scripts.

This one is a false error. The init script call another script and this scripts uses the subsys.

> So it looks like most of the problems here relate to doc/man pages and init
> script names.  One suggestion, since as of F-15 we've switched to systemd by
> default, might you not want to create unit files and not provide the sysv init
> scripts?

Several of the missing man pages have been added to upstream's svn and will be part of the next update.

There is also a separate doc package that contains documentation. (See the review at bug #704835.)

Converting to systemd unit files is in my plans, but it is not trivial, so it is not something I can do immediately. Especially the grid-infosys script needs some care - that one should probably be split into three separate unit files.
Comment 11 Jon Ciesla 2011-07-16 20:27:52 EDT
Ok, I'm happy.  APPROVED.

I'll do the -doc as well.
Comment 12 Mattias Ellert 2011-07-18 04:17:54 EDT
Many thanks for the review! Much appreciated.

    Mattias

New Package SCM Request
=======================
Package Name: nordugrid-arc
Short Description: Advanced Resource Connector Grid Middleware
Owners: ellert
Branches: f14 f15 el5 el6
InitialCC:
Comment 13 Jon Ciesla 2011-07-18 06:05:31 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2011-07-24 10:14:53 EDT
nordugrid-arc-doc-1.0.2-1.fc14,nordugrid-arc-1.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nordugrid-arc-doc-1.0.2-1.fc14,nordugrid-arc-1.0.1-1.fc14
Comment 15 Fedora Update System 2011-07-24 10:15:10 EDT
nordugrid-arc-doc-1.0.2-1.el5,nordugrid-arc-1.0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nordugrid-arc-doc-1.0.2-1.el5,nordugrid-arc-1.0.1-1.el5
Comment 16 Fedora Update System 2011-07-24 10:15:24 EDT
nordugrid-arc-doc-1.0.2-1.fc15,nordugrid-arc-1.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nordugrid-arc-doc-1.0.2-1.fc15,nordugrid-arc-1.0.1-1.fc15
Comment 17 Fedora Update System 2011-07-24 10:15:39 EDT
nordugrid-arc-doc-1.0.2-1.el6,nordugrid-arc-1.0.1-1.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nordugrid-arc-doc-1.0.2-1.el6,nordugrid-arc-1.0.1-1.el6.1
Comment 18 Fedora Update System 2011-07-25 23:32:22 EDT
nordugrid-arc-doc-1.0.2-1.fc14, nordugrid-arc-1.0.1-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 19 Fedora Update System 2011-08-05 19:57:47 EDT
nordugrid-arc-doc-1.0.2-1.fc15, nordugrid-arc-1.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 20 Fedora Update System 2011-08-05 19:58:24 EDT
nordugrid-arc-doc-1.0.2-1.fc14, nordugrid-arc-1.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 21 Fedora Update System 2011-08-10 16:59:21 EDT
nordugrid-arc-doc-1.0.2-1.el5, nordugrid-arc-1.0.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 22 Fedora Update System 2011-08-10 17:00:34 EDT
nordugrid-arc-doc-1.0.2-1.el6, nordugrid-arc-1.0.1-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository.
Comment 23 Mattias Ellert 2014-12-22 03:37:35 EST
Package Change Request
======================
Package Name: nordugrid-arc
New Branches: el5
Owners: ellert
InitialCC: 

The EPEL5 branch was forcibly retired due to missing dependencies (glibmm24, libsigc++20). These dependencies have been restored. There are no longer any missing dependencies for nordugrid-arc in EPEL5.
Comment 24 Jon Ciesla 2014-12-22 07:43:47 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.